#!/bin/bash

#################################################################################
#                                                                               #
# ATTENTION : Cette installation ne prend pas en charge les nouveaux BIOS UEFI. # 
# Dans la suite, seules les partitions "MBR" (anciens BIOS) sont envisagees.    #
#                                                                               #
#################################################################################

# Racine du script d'integration sur le compte qui a lance le script (root !)

export ROOT=~/wheezy &&
export LOG=~/log &&
export DATA=$ROOT/data &&
export SCRIPTS=$ROOT/scripts &&
export SKEL=$ROOT/skel &&
export TMP=~/tmp &&
export SAVE=/home/.save && 

#################################################################################
#                                                                               #
# Ici vous allez parametrer votre installation... a la rc.conf des *BSD ;)      #
# A modifier donc avant de lancer le script                                     #
# Il suffit de commenter et decommenter !                                       #
#                                                                               #
#################################################################################

# Avez-vous installe un systeme Debian secondaire ?

export sec='yes' &&
##export sec='no' &&

# Etes-vous en train de faire une installation de test via VirtualBox ?

##export virtual='yes' &&
export virtual='no' &&

# Voulez-vous un noyau linux tres recent (a vos risques et perils) ?
# NB : Si le noyau rcent plante, il y aura toujours le noyau de Debian stable.

export arch_amd64='yes' &&
##export arch_amd64='no' &&
export backport_kernel='no' &&
##export backport_kernel='yes' &&

# Voulez-vous installer un poste de travail personnel ? 

export perso='no' &&
##export perso='yes' &&
# Si oui : Ici le compte cree lors de l'installation du system Debian principal
export me='jeff' &&

# TODO
# ATTENTION EN TEST !!!
# Voulez-vous un poste de travail de type MAO ? 
# URL : http://tangostudio.tuxfamily.org/fr/documentation/tango-debian

export mao='no' &&
##export mao='yes' &&
# TODO

# Voulez-vous sauvegarder les packages tlchargs pour une installation ultrieure ?

export pkg_save='yes' && 
##export pkg_save='no' &&
# Si oui : Ici mettre la date de votre sauvegarde et donc aujoud'hui
export pkg_date='20140815' && 

#################################################################################
#                                                                               #
# PACKAGES                                                                      # 
#                                                                               #
#################################################################################

# Packages a installer officiellement supportes par le projet debian

export pkg_common='xorg xterm vim mate-core mate-desktop-environment lightdm flashplugin-nonfree geogebra' &&
export pkg_common="$pkg_common iceweasel iceweasel-l10n-fr vlc audacity pinta gimp mplayer libdvdcss2 ntpdate" &&
export pkg_common="$pkg_common sweethome3d xfwm4 xcompmgr xscreensaver-gl-extra xscreensaver-data-extra" &&
export pkg_common="$pkg_common numlockx ttf-mscorefonts-installer verbiste-gnome" &&

# Remarque : Pourquoi xfwm4 ? 
# Reponse : Pour remplacer le gestionnaire de fenetre marco de MATE. En effet, un bug etrange se produit 
# avec geogbera !!!

# Packages backportes provenant de la Fondation Mozilla

export pkg_libreoffice='libreoffice libreoffice-l10n-fr' &&

# Packages necessaires pour "integrer" le domaine d'un serveur de type Eole SCRIBE (via ldap/samba)

export pkg_scribe='libnss-ldap libpam-mount cifs-utils' &&

# Pour les packages suivants, prevoir 15 Go pour la racine du systeme principal 

if [ "$perso" == 'yes' ]  
then
	export pkg_perso='carmetal texlive-full imagemagick inkscape synaptic handbrake-gtk handbrake k3b' && 
	export pkg_perso="$pkg_perso k3b-i18n frozen-bubble lbreakout2 dconf-tools hplip-gui simple-scan" && 
	export pkg_perso="$pkg_perso gscan2pdf xsane" 
fi &&

# TODO
##export pkg_perso="$me_perso pyromaths" && # --> pyromaths refuse de s'installer <->  faire  la main ! 
# Pour xcas : http://www-fourier.ujf-grenoble.fr/~parisse/install_fr#linux
##export pkg_perso="$me_perso giac" && # --> bugs depots xcas ?! --> installer/maintenir  la main 
# TODO

# Noyau linux plus rcent : a vos risques et perils !

if [ "$backport_kernel" == 'yes' ]  
then 
	if [ "$arch_amd64" == 'yes' ] ; then export pkg_kernel='linux-image-amd64' ; fi &&
	if [ "$arch_amd64" == 'no' ] ; then export pkg_kernel='linux-image-686' ; fi # A vrifier !!!
fi &&

# http://tangostudio.tuxfamily.org/fr/documentation/tango-debian

if [ "$mao" == 'yes' ] 
then
# TODO
export pkg_mao='tangostudio-audio-base linux-realtime tangostudio-audio-plugins tangostudio-audio-apps' 
##export mao_pkg='tangostudio-audio-base linux-realtime tangostudio-audio-plugins' &&
##export mao_pkg="$mao_pkg tangostudio-audio-vst tangostudio-audio-apps tangostudio-codecs" &&
# TODO
fi &&

#################################################################################
#                                                                               #
# Partitions                                                                    # 
#                                                                               #
#################################################################################

# Partition de boot du systeme debian principal

export boot_one='sda1' &&

# Partition racine du systeme debian principal

export rac_one='sda5' &&

# Partition home du systeme debian principal

export home_one='sda6' &&

# Si c'est le cas quelle est la racine de ce systeme ? 

if [ "$sec" == 'yes' ] ; then export rac_sec='sda3' ; fi &&

#################################################################################
#                                                                               #
# Paramtrage                                                                   # 
#                                                                               #
#################################################################################

# Informations concernant l'architecture reseau de l'EPLE : a modifier (si besoin) avant de lancer les 
# scripts 

if [ "$virtual" == 'yes' ]
then # Dans virtualBox
	export ip_scribe='192.168.0.251' 
else # Dans un etablissement scolaire :
	export ip_scribe='10.149.46.65' && # IP de src-dc1 dans la zone DMZ privee 
	export ip_proxy='10.149.46.126' && # IP Amon dans la zone DMZ privee
	export port_proxy='3128' 
fi &&

# Pour un poste de travail personnel

if [ "$perso" == 'yes' ]
then 
	export version='perso'
else 
	# Pour un poste de travail dans un etablissement scolaire (integre dans un domaine 
	# de type serveur EOLE SCRIBE)
	export version='school' 
fi &&

# A adapter (notamment remplacer l'image de l'ENT dans data/elyco.png !)

export ent='www.republique.e-lyco.fr' && 
export etab='ENT du college Republique de Cholet' &&

# Dans le cas d'un poste de travail perso 

export social_network='https:*diaspora-fr.org*users*sign_in' &&
export social_network_name='Diaspora*' 
