#!/bin/bash
source ./constantes.sh && 

# permet :
# (1) de sauver les fichiers/repertoires initiaux en les renommant en *.old si ils existent  
# (2) de copier les fichiers/repertoires bien parametres

move()
{
local REP=$1 &&
local name=$2 &&
if [ -f $REP/$name ]||[ -d $REP/$name ] ; then 
	mv $REP/$name $REP/$name.old &&
	cp -rf $DATA/$name $REP/
else
	cp -rf $DATA/$name $REP/
fi 
}

# cree les groupes locaux qui n'existent pas 

addgroups()
{
local grp=$1 &&
echo "Creation du groupe $grp en cours..." &&
groupadd $grp &&
echo "Creation du groupe $grp effectuee !"
}

# cree les comptes utilisateurs locaux qui n'existent pas
# adminskel : le compte local qui permet de creer le profil local de tous les utilisateurs 
# (a placer dans /etc/skel par la suite) locaux ou non !
# deux comptes locaux : prof et invite

addusers() 
{ 
local idn=$1 &&
local grp=$2 &&
local mdp=$3 &&
echo "Creation du compte $idn en cours..." &&
useradd -d /home/$idn -g $grp -s /bin/bash -k /etc/skel -m $idn && 
(echo $mdp;echo $mdp) | passwd $idn && 
chmod 700 /home/$idn &&
echo "Creation du compte $idn effectuee !" 
}

# prend en entree "$target" (/etc/passwd ou /etc/group) puis cherche le motif ("$pattern") et cree un fichier 
# qui ne contient que les identifiants contenant le motif "$idn"  
# (1) on trie selon le motif "$target"
# (2) on ne garde que la "premiere" colonne (celle des identifiants ou des groupes)
# (3) on cree le fichier "$pattern.convert.txt" contenant tous les "mots" contenant le motif "$pattern" et 
# on le place dans le repertoire "$LOG"  

convert()
{
local target=$1 &&
local rep=$2 &&
cat < $target | cut -d : -f 1 1> $rep 
}

# recherche EXACTEMENT le motif voulu (un identifiant ou un groupe)
# met un 1 si existe dans /etc/passwd ou /etc/group PUIS on sort de la commande "while"
# met 0 sinon

search()
{
local target=$1 &&
local pattern=$2 &&
local rep=$3 &&
cat $target | while true ; do
	read aux &&
	if [ "$aux" == "0" ] ; then  break ; fi && 
	if [ "$aux" == "$pattern" ] 
	then 
        	echo '1' > $rep 
		break
       	else
               	echo '0' > $rep 
       	fi 
done
}

addaccounts()
{
local target=$1 &&
cp $target $TMP/ &&
echo '0 0 0' >> $TMP/users.txt &&
# on sauve temporairement le champs des utilisateurs du fichier donne en entree (1ere colonne separe 
# par un espace)  
cat < $target | cut -d ' ' -f 1 1> $TMP/idn_users.txt && 
# on sauve temporairement le champs des groupes du fichier donne en entree (2eme colonne separe par 
# un espace) puis on retire eventuelles repetitions !! Remarque : la commande "sort" permet de trier les 
# lignes : en effet, la commande "uniq" n'agit que sur des lignes consecutives ! 
##sort $target | cut -d ' ' -f 2 1> $TMP/tmp.txt && 
##uniq $TMP/tmp.txt $TMP/grp_users.txt &&
sort < $target | cut -d ' ' -f 2 | uniq 1> $TMP/grp_users.txt && 
echo '0' >> $TMP/grp_users.txt &&
convert /etc/group $TMP/grp.txt &&    
echo '0' >> $TMP/grp.txt &&
convert /etc/passwd $TMP/idn.txt &&   
echo '0' >> $TMP/idn.txt &&
cat $TMP/grp_users.txt | while true ; do
        read grp &&  
        if [ "$grp" == "0" ] ; then 
                break 
        else 
                search $TMP/grp.txt $grp $TMP/$grp.search_grp.txt &&
                if !  grep 1 $TMP/$grp.search_grp.txt 1>/dev/null ; then addgroups $grp ; fi 
        fi  
done
cat $TMP/users.txt | while true ; do
        read idn grp mdp && 
        if [ "$idn" == "0" ] ; then 
                break 
        else 
                search $TMP/idn.txt $idn $TMP/$idn.search_idn.txt &&
                if ! grep 1 $TMP/$idn.search_idn.txt 1>/dev/null ; then addusers $idn $grp $mdp ; fi 
        fi  
done
rm -rf $TMP/
}

startinstall()
{
local module=$1 && 
local log_err=$2 &&
local log_out=$3 &&
local module_time=$4 &&
# La sortie des erreurs est redirigee vers un fichier *.err.
# La sortie standard est dupliquee et recopiee vers un fichier *.out
# La sortie de la sequence de commandes entre parentheses est redirigee vers un fichier *.time. 
(time $module 2> $log_err | tee $log_out) 2> $module_time 
}

# Inclus le depot de xcas dans le sources.list

addxcas()
{
echo "deb http://www-fourier.ujf-grenoble.fr/~parisse/debian/ stable main" >> /etc/apt/sources.list &&
apt-get update && 
apt-key add $DATA/xcas_public_key.gpg && 
apt-get update  
}

# Inclus le depot de tangostudio dans le sources.list

addmao()
{
wget http://download.tuxfamily.org/tangostudio/apt/tangostudio-apt_0.2.2_all.deb &&
mv tangostudio-apt_0.2.2_all.deb $TMP &&
dpkg -i $TMP/tangostudio-apt_0.2.2_all.deb &&
apt-get update &&
apt-get install tangostudio-keyring &&
apt-get update 
}

# permet d'afficher les variables du scripts
 
create_see_constantes()
{
local target=$1 &&
cp $target $ROOT/tmp1.txt &&
cp $target $ROOT/tmp2.txt &&
sed -i "s/.*/$&/" $ROOT/tmp2.txt &&
paste $ROOT/tmp1.txt $ROOT/tmp2.txt > $ROOT/tmp.txt && # duplique la colonne
rm -f $ROOT/tmp1.txt $ROOT/tmp2.txt &&
sed -i "s/.*/echo \"&/" $ROOT/tmp.txt # rajoute le motif 'echo $' devant chaque ligne	 
sed -i "s/.*/&\"/" $ROOT/tmp.txt # remplace toute la ligne ".*" par elle-meme "&" suivie d'un "
echo '0' >> $ROOT/tmp.txt &&
echo '#!/bin/bash' > $ROOT/tmp.sh &&
chmod 700 $ROOT/tmp.sh &&
echo 'source ./constantes.sh &&' >> $ROOT/tmp.sh &&
cat $ROOT/tmp.txt | while true ; do
        read aux &&
        if [ "$aux" == "0" ] 
	then 
                break 
        else 
		echo $aux >> $ROOT/tmp.sh
        fi  
done
clear &&
./tmp.sh &&
rm -f tmp.sh
}

addpkg()
{
local num=$1 &&
if [ -d $SAVE/pkg-$num ]
then 
	rm -rf $SAVE/pkg-$num/* &&
	cp -rf /var/cache/apt/archives/* $SAVE/pkg-$num/ 
else
	rm -rf $SAVE/pkg-* &&
	mkdir -p $SAVE/pkg-$num &&
	cp -rf /var/cache/apt/archives/* $SAVE/pkg-$num/ 
fi 
} 
