#!/bin/bash

# Preliminaire : avoir insalle un systeme de base debian GNU/Linux sur une partition (dans notre cas : sda3)
# Remarque : pas d'interface graphique

# Objectif de ce script : installer automatiquement un systeme debian GNU/Linux fonctionnel avec un  
# environnement graphique :
# (1) gestionnaire de session : LIGHTDM
# (2) environnement graphique : MATE 

source ./constantes.sh &&
source ./fonctions_install.sh &&

mkdir $LOG &&
mkdir $TMP &&

startinstall $SCRIPTS/./01.sh $LOG/report-01.err $LOG/report-01.out $LOG/report-01.time && 
startinstall $SCRIPTS/./02.sh $LOG/report-02.err $LOG/report-02.out $LOG/report-02.time && 

# Partie "integration" du systeme debian GNU/Linux principal dans un domaine controle par un serveur de type 
# Eole SCRIBE (dans notre cas : Eole SCRIBE 2.3 et 2.4) 
if [ "$version" == 'school' ] 
then
	if [ "$virtual" == 'yes' ] 
	then
		startinstall $SCRIPTS/./v03.sh $LOG/report-v03.err $LOG/report-v03.out $LOG/report-v03.time 
	else 
		startinstall $SCRIPTS/./03.sh $LOG/report-03.err $LOG/report-03.out $LOG/report-03.time 
	fi
fi &&
reboot 
