#!/bin/bash
source ./constantes.sh &&
source ./fonctions_install.sh &&

# Partie numero 1 : telechargement et installation des logiciels

# Prealable : avoir copie les scripts sur la racine du compte root 
cd $ROOT &&

# Parametrage des sources des paquets --> todo : creer un depot local !

move /etc/apt sources.list &&

# Synchronisation de la liste des paquets de la machine locale

apt-get update && # des avertissements sur les cles cryptographiques non reconnues 

# Importation des signatures de cles cryptographiques
 
apt-get --yes --quiet --allow-unauthenticated install pkg-mozilla-archive-keyring &&
apt-get --yes --quiet --allow-unauthenticated install deb-multimedia-keyring &&

# Re-synchronisation de la liste des paquets de la machine locale

apt-get update && # cette fois-ci, les signatures sont reconnues 

# debconf en mode silencieux

export DEBIAN_FRONTEND="noninteractive" &&
export DEBIAN_PRIORITY="critical" &&

# paquets binaires telecharges et installes --> serveur local de paquets --> cafe !

apt-get -y install $pkg_common && 

apt-get -t wheezy-backports -y install $pkg_libreoffice && 

if [ "$version" == 'school' ] ; then apt-get -y install $pkg_scribe ; fi && 

if [ "$version" == 'perso' ] ; then apt-get -y install $pkg_perso ; fi && 
#if [ "$version" == 'perso' ] ; then addxcas && apt-get -y install $pkg_perso ; fi && 
	
if [ "$mao" == 'yes' ] ; then addmao && apt-get -y install $pkg_mao ; fi &&

if [ "$backport_kernel" == 'yes' ] ; then apt-get -t wheezy-backports  -y install $pkg_kernel ; fi &&

if [ "$pkg_save" == 'yes' ] ; then addpkg $pkg_date ; fi &&

# debconf remis dans sa configuration initiale (mode "verbeux")

export DEBIAN_FRONTEND="dialog" &&
export DEBIAN_PRIORITY="high" 
