#!/bin/bash
source ./constantes.sh &&
source ./fonctions_install.sh &&

# Partie nunmero 2 : parametrage du client

# "Blacklister" pcspkr --> erreurs au boot !

move /etc/modprobe.d blacklist.conf &&

# Parametrage de iceweasel : ajout de Firefox Mozilla dans le menu "Logiciels" de MATE 
# --> changement d'icone en realite... 

move /usr/share/applications firefox.desktop &&
move /usr/share/pixmaps firefox.png &&

# Reseau social open source 
# https://wiki.diasporafoundation.org/Main_Page/fr
if [ "$version" == 'perso' ] 
then
	move /usr/share/applications reseau_social.desktop &&
	sed -i "s/arg1/$social_network/" /usr/share/applications/reseau_social.desktop &&
	# on remplace tous les "*" par des */* !
	sed -i "s/*/\//g" /usr/share/applications/reseau_social.desktop && 
	sed -i "s/arg2/$social_network_name/" /usr/share/applications/reseau_social.desktop &&
	move /usr/share/pixmaps diaspora.png 
fi

# ... parametrage de l'URL de l'ENT de l'etablissement (ici l'ENT e-lyco du college Republique de Cholet) 

move /usr/share/applications ent.desktop &&
sed -i "s/arg1/$ent/" /usr/share/applications/ent.desktop &&
sed -i "s/arg2/$etab/" /usr/share/applications/ent.desktop &&
move /usr/share/pixmaps elyco.png &&

# Parametrage de l'editeur de textes vim

move ~ .vimrc &&
move ~ .bashrc &&

# Mis en place d'un identifiant/mot de passe pour acceder a la ligne de commande de GRUB au boot : 
# (admin ; qcGUl789)  
# Il faut faire de meme sur le systeme debian secondaire (voir ci-dessous !!)

mkdir /etc/grub.d/backup &&
move /etc/grub.d 40_custom && 

# Protection de l'entree du menu du systeme debian secondaire
# voir la ligne 168 
# avant :
# menuentry "${LLABEL} (on ${DEVICE})" --class gnu-linux --class     gnu --class os {...
# apres :
# menuentry "${LLABEL} (on ${DEVICE})" --users admin --class gnu-linux --class     gnu --class os {...

move /etc/grub.d 30_os-prober && 

mv /etc/grub.d/*old /etc/grub.d/backup/ &&

# Pour changer le temps d'attente pour le GRUB et faire disparaitre le mode rescue au boot

move /etc/default grub && 

# Mise a jour des parametres de GRUB

update-grub2 &&

# Faire en sorte de pouvoir utiliser avec MATE les economiseurs d'ecran provenant des paquets 
# "xscreensaver-gl-extra" et "xcreensaver-data-extra"
# --> choix par defaut : XMATRIX !

cp -rf /usr/share/applications/screensavers/ /usr/share/applications/screensavers.old &&
find /usr/share/applications/screensavers -name "*.desktop" -print | xargs \
sed -i 's/OnlyShowIn=GNOME;/OnlyShowIn=GNOME;MATE;/g' &&

# Supprimer les options "Mettre en veille" et "Hiberner" 

move /usr/share/polkit-1/actions org.freedesktop.upower.policy && 

# Creation du profil local dans /etc/skel/

cd /etc &&
mv skel/ skel.old &&
tar xzpfv $SKEL/skel.tar.gz &&
chown -R root:root skel/ &&

if [ "$version" == 'perso' ] 
then
	cd /home && 
	mv $me $me.old &&
	tar xzpfv $SKEL/skel.tar.gz &&
	mv skel/ $me &&
	chown -R $me:$me $me 
else 
	cd /home && 
	rm -rf adminprof/ &&
	tar xzpfv $SKEL/skel.tar.gz &&
	mv skel/ adminprof &&
	chown -R adminprof:adminprof adminprof/ && 
	# Creation de comptes locaux supplementaires :
	addaccounts $DATA/users.txt 
fi &&

# Scripts qui sauvent et restaurent rapidement le systeme debian principal a partir du systeme debian secondaire 

if [ "$sec" == 'yes' ] 
then
	mkdir /mnt/cle /mnt/$rac_sec &&
	mount /dev/$rac_sec /mnt/$rac_sec &&
	# Pour bloquer l'acces au systeme secondaire au boot via grub (update-grub2 necessaire !) 
#	move /mnt/$rac_sec/etc/grub.d/ 40_custom && 
#	move /mnt/$rac_sec/etc/default/ grub && 
	move /mnt/$rac_sec/root/ restore.sh && 
	move /mnt/$rac_sec/root/ save.sh && 
	# Toutes les occurences sur chaque ligne doivent etre remplacees d'ou le "g" 
	sed -i "s/arg1/$boot_one/g" /mnt/$rac_sec/root/restore.sh &&
	sed -i "s/arg2/$rac_one/g" /mnt/$rac_sec/root/restore.sh &&
	sed -i "s/arg3/$home_one/g" /mnt/$rac_sec/root/restore.sh &&
	sed -i "s/arg1/$boot_one/g" /mnt/$rac_sec/root/save.sh &&
	sed -i "s/arg2/$rac_one/g" /mnt/$rac_sec/root/save.sh &&
	sed -i "s/arg3/$home_one/g" /mnt/$rac_sec/root/save.sh &&
	umount /mnt/$rac_sec 
fi &&

# Copie du fichier bash qui mettra a jour le systeme principal

move ~ update_upgrade.sh &&

# Desactivation de services inutiles

update-rc.d -f exim4 remove &&
##update-rc.d -f bluetooth remove &&
update-rc.d -f nfs-common remove &&
##update-rc.d -f pppd-dns remove &&

apt-get update &&
##apt-get -y upgrade &&
apt-get -y dist-upgrade &&
apt-get clean &&
apt-get -y autoremove --purge 
