#!/bin/bash
source ./constantes.sh &&
source ./fonctions_install.sh &&

# Partie nunmero 3 : "integration" dans un domaine controle par un serveur Eole SCRIBE 
# Interdire l'utilisation des terminaux CTRL+ALT+F1-6

move /etc/security access.conf &&
move /etc/pam.d login && # ligne 73 decommentee

# Parametrage de l'extinction automatique tous les jours a 18 h 00 : 
# crontab -e --> 00 18 * * * /sbin/shutdown -h now
# /var/spool/cron/crontabs

crontab $DATA/root && # bug --> a refaire ensuite : crontab -e en root

# Jonction au serveur ldap du serveur SCRIBE

move /etc/ldap ldap.conf &&  
sed -i -e "s/arg1/$ip_scribe/" /etc/ldap/ldap.conf &&
move /etc/security group.conf && 
move /etc libnss-ldap.conf &&
sed -i -e "s/arg1/$ip_scribe:389/" /etc/libnss-ldap.conf &&
move /etc pam_ldap.conf &&
sed -i -e "s/arg1/$ip_scribe:389/" /etc/pam_ldap.conf &&
move /etc nsswitch.conf && 
move /etc/pam.d common-account &&
move /etc/pam.d common-auth &&
move /etc/pam.d common-password &&   
move /etc/pam.d common-session &&
move /etc/pam.d common-session-noninteractive &&  
move /usr/share pam-configs &&
move /etc/security pam_mount.conf.xml &&  
sed -i -e "s/arg1/$ip_scribe/g" /etc/security/pam_mount.conf.xml &&

# /etc/profile --> français encode en UTF8

move /etc profile && 

# Ne pas creer les dossiers par defaut dans home

move /etc/xdg user-dirs.conf &&
move /etc/xdg user-dirs.defaults &&

# Seul l'admin et les membres administrateurs du domaine peuvent utiliser la commande "sudo" 
# --> a revoir niveau securite

move /etc sudoers && 

# Parametrage de lighdm : activer numlockx + logon et logoff 

move /etc/lightdm lightdm.conf && 
move /etc/lightdm logonscript.sh && 
move /etc/lightdm logoffscript.sh && 

# Scripts qui permettent de nettoyer le /home/* des repertoires crees automatqiuement via le module 
# "mkhomedir" de PAM 

move ~ cleanhome.sh &&
move /etc/init.d cleanhome && 
update-rc.d cleanhome defaults &&

# Parametrage du proxy http squid pour tout le systeme

# (1) Parametrage du proxy pour MATE

move /usr/share/glib-2.0/schemas scribe.gschema.override &&
sed -i -e "s/arg2/$ip_proxy/g" /usr/share/glib-2.0/schemas/scribe.gschema.override &&
sed -i -e "s/arg3/$port_proxy/g" /usr/share/glib-2.0/schemas/scribe.gschema.override &&

# Prise en compte des modifications apportees

glib-compile-schemas /usr/share/glib-2.0/schemas &&

# (2) Parametrage du proxy pour le systeme

move /etc environment && 
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" /etc/environment &&

# (3) Parametrage du proxy pour apt

move /etc/apt/apt.conf.d 20proxy &&
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" /etc/apt/apt.conf.d/20proxy &&

# Cache : correspondance entre uid/gid et noms des utilisateurs/groupes

service nscd restart &&

# Synchronisation du client avec le serveur de temps

ntpdate $ip_scribe 
